Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Archive /

Our old forums are still available as a read-only archive.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo

External Authenticator Error


Go to End


2 Posts   1469 Views

Avatar
MKayHavoc

Community Member, 33 Posts

9 June 2008 at 10:30pm

Hi,

I'm trying to add in the External Authentication module specifically for LDAP Active Directory.

I've followed through the instructions however I'm getting this error:

Fatal error: Declaration of ExternalAuthenticator::authenticate() must be compatible with that of Authenticator::authenticate() in /webdata/sites/staff/auth_external/code/ExternalAuthenticator.php on line 458

Does anyone know why I would get this?

Cheers

Avatar
xzelan

Community Member, 20 Posts

14 July 2008 at 4:38pm

Edited: 14/07/2008 4:39pm

I had the same problem. See the discussion with the author here (starts at the bottom of the page):

http://www.silverstripe.com/extending-hacking-silverstripe-forum/flat/7863?showPost=60603&start=40